Package com.ads.mm.etl.xml.mapping

# Class MMUUID

java.lang.Object
com.ads.mm.etl.xml.mapping.MMUUID

Direct Known Subclasses:
  `MMDBColumn`, `MMDBEnvironment`, `MMDBSystem`, `MMDBTable`, `MMMapping`

public class MMUUID extends Object

Author:
  Syed Abdul Rahim

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected HashMap<String,Integer>`
  `_associatedIDs`
  `protected HashMap<String,String>`
  `_associatedUUIDs`
  `protected String`
  `uniqueName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMUUID(MMMappingUtil mappingUtil)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `addAssociatedCrossID(String name)`
  `int`
  `addAssociatedID(String name)`
  `String`
  `addAssociatedUUID(String name)`
  `static int`
  `getAssociatedCrossID(String name)`
  If it cannot retrieve ID basing on name, then a new random ID is generated and stored for future reference and the same is supplied back
  `int`
  `getAssociatedID(String name)`
  If it cannot retrieve ID basing on name, then a new random ID is generated and stored for future reference and the same is supplied back
  `String`
  `getAssociatedUUID(String name)`
  If it cannot retrieve UUID basing on name, then a new random uuid is generated and stored for future reference and the same is supplied back
  `String`
  `getUniqueName()`
  `String`
  `getUUID()`
  `void`
  `setAssociatedIDCount(int associatedIDCount)`
  `void`
  `setUniqueName(String uniqueName)`
  `void`
  `setUUID(String guid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### uniqueName

    protected String uniqueName

  - ### _associatedUUIDs

    protected HashMap<String,String> _associatedUUIDs

  - ### _associatedIDs

    protected HashMap<String,Integer> _associatedIDs

- ## Constructor Details

  - ### MMUUID

    public MMUUID(MMMappingUtil mappingUtil)

- ## Method Details

  - ### addAssociatedUUID

    public String addAssociatedUUID(String name)

  - ### getAssociatedUUID

    public String getAssociatedUUID(String name)
    If it cannot retrieve UUID basing on name, then a new random uuid is generated and stored for future reference and the same is supplied back
    Parameters:
      `name` -
    Returns:
      name

  - ### addAssociatedID

    public int addAssociatedID(String name)

  - ### getAssociatedID

    public int getAssociatedID(String name)
    If it cannot retrieve ID basing on name, then a new random ID is generated and stored for future reference and the same is supplied back
    Parameters:
      `name` -
    Returns:
      name

  - ### addAssociatedCrossID

    public static int addAssociatedCrossID(String name)

  - ### getAssociatedCrossID

    public static int getAssociatedCrossID(String name)
    If it cannot retrieve ID basing on name, then a new random ID is generated and stored for future reference and the same is supplied back
    Parameters:
      `name` -
    Returns:
      name

  - ### getUUID

    public String getUUID()
    Returns:
      the _uuid

  - ### setUUID

    public void setUUID(String guid)
    Parameters:
      `guid` - the _uuid to set

  - ### getUniqueName

    public String getUniqueName()
    Returns:
      the uniqueName

  - ### setUniqueName

    public void setUniqueName(String uniqueName)
    Parameters:
      `uniqueName` - the uniqueName to set

  - ### setAssociatedIDCount

    public void setAssociatedIDCount(int associatedIDCount)
    Parameters:
      `associatedIDCount` - the associatedIDCount to set